/projects/trending

Returns a list of trending projects using custom constraints.

📘

You May Want to Know

This will only return the first 10 query results. If you get 10 results routinely, you can try increasing the constraints until you are happy with the strictness of your parameters.

"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Join the discord to get your api key. https://discord.com/invite/kJd8W7Nh7e
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getTrendingProjects = async function() {
    const resp = await shards.projects.getTrendingProjects('1h', 50000, 1.01, 500, 50000);
    console.log(resp)
}

getTrendingProjects();
Query Params
string
enum
required
Defaults to 1h

The target interval for price change and volume checks. 1 Hour (1h), 1 Day (1d), 1 Week (1w), or 1 Month (1mo).

Allowed:
int32
required
Defaults to 50000

The minimum USD volume within the period.

float
Defaults to 1.01

The minimum price change within the period. A value of 1 is 0%. A value of 0.99 is -1%. A value of 1.01 is +1%.

int32
Defaults to 500

The minimum number of trades recorded in history.

int32
Defaults to 50000

The minimum USD value of the native currency in the pool.

Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain